Package org.eclipse.birt.report.engine.api.script.instance

# Interface IGridInstance

All Superinterfaces:
  `IReportElementInstance`, `IReportItemInstance`

public interface IGridInstance extends IReportItemInstance

## Method Summary

Modifier and Type
Method
Description
`String`
`getCaption()`
Get the caption.
`String`
`getCaptionKey()`
Get the caption key
`String`
`getSummary()`
Get the summary.
`void`
`setCaption(String caption)`
Set the caption
`void`
`setCaptionKey(String captionKey)`
Set the caption key
`void`
`setSummary(String summary)`
Set the summary

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance

`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportItemInstance

`getHelpText, getHyperlink, getName, setHelpText, setName`

## Method Details

### getCaption

String getCaption()
Get the caption.

### setCaption

void setCaption(String caption)
Set the caption

### getCaptionKey

String getCaptionKey()
Get the caption key

### setCaptionKey

void setCaptionKey(String captionKey)
Set the caption key

### getSummary

String getSummary()
Get the summary.

### setSummary

void setSummary(String summary)
Set the summary